LotusStyleManagerInternal::GraphicStyle Struct Reference documentation

LotusStyleManagerInternal::GraphicStyle Struct Reference

small struct used to defined graphic style More...

## Public Member Functions
| GraphicStyle ()
| constructor

## Public Attributes
int | m_colorsId [4]
| the line, shadow, surface, back pattern color id
int | m_lineId
| the border line id
LineStyle | m_lineStyle
| the line style: 123 pc
int | m_patternId
| the patten id: 123 pc
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, GraphicStyle const &graphic)
| operator<<

## Detailed Description

small struct used to defined graphic style

## Constructor & Destructor Documentation

## ◆ GraphicStyle()

LotusStyleManagerInternal::GraphicStyle::GraphicStyle | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | GraphicStyle const & | graphic )
| friend

operator<<

## Member Data Documentation

## ◆ m_colorsId

int LotusStyleManagerInternal::GraphicStyle::m_colorsId[4]

the line, shadow, surface, back pattern color id

Referenced by GraphicStyle(), operator<<, LotusStyleManager::readGraphicStyle(), and LotusStyleManager::readGraphicStyleC9().

## ◆ m_extra

std::string LotusStyleManagerInternal::GraphicStyle::m_extra

extra data

Referenced by GraphicStyle(), operator<<, and LotusStyleManager::readGraphicStyle().

## ◆ m_lineId

int LotusStyleManagerInternal::GraphicStyle::m_lineId

the border line id

Referenced by GraphicStyle(), operator<<, and LotusStyleManager::readGraphicStyle().

## ◆ m_lineStyle

LineStyle LotusStyleManagerInternal::GraphicStyle::m_lineStyle

the line style: 123 pc

Referenced by GraphicStyle(), and LotusStyleManager::readGraphicStyleC9().

## ◆ m_patternId

int LotusStyleManagerInternal::GraphicStyle::m_patternId

the patten id: 123 pc

Referenced by GraphicStyle(), and LotusStyleManager::readGraphicStyleC9().

The documentation for this struct was generated from the following file:

- LotusStyleManager.cpp